Subject: Re: [PATCH net-next v3 2/6] tools/net/ynl: Report netlink errors without stacktrace

From: Jakub Kicinski <[email-masked]>
Date: Fri, 8 Mar 2024 11:16:14 -0800

On Fri, 8 Mar 2024 10:27:01 -0800 Breno Leitao wrote:
> > I'm far from a Python expert, so up to you :)
> > I used type hints a couple of times in the past, they are somewhat
> > useful, but didn't feel useful enough to bother. Happy for someone
> > else to do the work, tho :)  
> 
> I am a big fan of type hitting, since it help in reviewing code, as also
> with tooling that help you to find problems, since the function returns
> and arguments now have a type.
> 
> What are the top 3 python scripts we have in network today? I can try to
> find some time to help.

I think ynl.py (and nlspec.py) is by far the most used / active piece
of Python we have today.